import React, { PropsWithChildren } from "react";
import styles from "./card.module.css";

interface CardProps {
  title: string;
  bg: string;
  contentStyle?: React.CSSProperties;
  headerExtra?: any;
}

const Card: React.FC<PropsWithChildren<CardProps>> = (props) => {
  const { title, headerExtra, bg, children, contentStyle } = props;
  return (
    <div className={styles.container}>
      <div className={styles.headerWrapper}>
        <div className={styles.header}>{title}</div>
        {headerExtra}
      </div>

      <div
        style={{ ...contentStyle, background: bg }}
        className={styles.content}
      >
        {children}
      </div>
    </div>
  );
};

export default Card;
